html
{
	margin : 0;
	padding : 0;
    height: 100%;
    width: 100%;
	min-height : 100%;
	min-width : 100%;
}

body
{
	padding : 0;
    height: 100%;
    width: 100%;
	min-height : 100%;
	min-width : 100%;
    margin: auto;
    margin-bottom: 0px;
    margin-top: 0px;	
	background-color: #F7F450;
}

@font-face {
    font-family: "Quicksand";
    src: url('images/Quicksand_Book.otf');
}

@font-face {
    font-family: "Quicksand";
    font-weight: bold;
    src: url('images/Quicksand_Bold.otf');
}

#corps1
{
	display: block;
	width: 100%;
	margin: auto;
	margin-top: 0em;
	height: 83em;
	background-color: blue;
}

/*--------------------------------------- Content1 -------------------------------------------------- */

.messageRow {
  display: block;
  text-align: center;
  background-color: blue;
  height:60px;
  padding-top: 10px;
    padding-bottom: 10px;
}

.messageBubble {
    display: block;
    background-color: red;
    height: 100%;
}

/*--------------------------------------- Images -------------------------------------------------- */

.homeImage
{
	display: block;
	width:auto;
	height: 100%;
	margin-left: auto;
	margin-right: auto;
}

.appStoreImage
{
	display: inline-block;
	width:auto;
	height: 3em;
	margin-top: 2em;
	/* margin-left: 17%; */
	margin-right: auto;
}

/*--------------------------------------- Textes -------------------------------------------------- */

.titleText
{
    font-family: 'HelveticaNeue-Light', Arial, Helvetica, sans-serif;
	font-size: 24pt;
	width: 100%;
	display: block;
	margin-top: 3em;
	margin-left: auto;
	margin-right: auto;
	text-align: left;
	color: black;
}

/*--------------------------------------- Helpers -------------------------------------------------- */

#chat-container
{
	width: 100%;
    height: 100%;
    min-height: 100%;
    /*border-collapse: collapse;*/
}

#chat-header, #chat-footer
{
	width: 100%;
    height: 100px;
	position: fixed;
	display: table;
	border-collapse:separate;
	border-spacing:20px;
}

#chat-header div, #chat-footer div
{
	display: table-cell;
	vertical-align: middle;
}

#chat-header
{
	top: 0px;
}

#chat-footer
{
	bottom: 0px;
}

#chat-content
{
	overflow: hidden;
    width: 100%;
    height: calc(100% - 160px);
    /*background-color: white;
    border-top-left-radius: 50px;
    border-top-right-radius: 50px;*/
}

#title
{
	width: 80%;
	margin: auto;
	background-color: white;
	border-radius: 25px;
	padding: 10px;
	text-align: center;
	font-size: 22px;
	font-weight: bold;
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

#answer
{
	border-radius: 10px;
	text-align: center;
	color: white;
	background-color: rgb(110, 110, 110);
	font-size: 18px;
	font-weight: bold;
	border: 0;
	box-sizing:border-box;
	width: 100%;
	height: 100%;
	padding-left: 10px;
}

#answer::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: rgb(160, 160, 160);
  opacity: 1; /* Firefox */
}

#answer:-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: #d5d5d5;
}

#answer::-ms-input-placeholder { /* Microsoft Edge */
  color: #d5d5d5;
}

#answer:focus {
	outline: none;
    outline-width: 0;
	-webkit-tap-highlight-color: rgba(255, 255, 255, 0); 
	-webkit-tap-highlight-color: transparent; 	
}

#answer i.fas
{
	position: relative;
	top: 1px;
}

.message
{
	border-radius: 25px;
	padding: 10px;
	padding-left: 20px;
	padding-right: 20px;
	margin: auto;
	display: inline-block;
	font-size: 18px;
}

.message-right
{
	background-color: #fcfde9;
}

.message-left
{
	background-color: #f2f2f2;
}

.message-center
{
	display: block;
	text-align: center;
}

.message-info
{
	color: #c8c8c8;
}

.message-image
{
	height : 40px;
}

.full-image
{
	width: 100%;
}

.chat-image
{
	border-radius: 25px;
	width: 75%;
}

table
{
	margin : 0;
	table-layout: fixed;
	height: 100%;
}

table td
{
	padding: 5px 0 5px 0;
}

.alpha02
{
	opacity: 0.2;
}

.font20
{
	font-size:20px;
}

#question-container
{
	position: relative;
    height: 200px;
	margin: 20px;
	margin-top:60px;
	margin-bottom: 10px;
    background-color: rgb(60, 60, 60);
    border-radius: 20px;
    padding: 10px;
    text-align: center;
	box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1), 0 3px 15px 0 rgba(0, 0, 0, 0.1);
}

#question-border
{
    width: 100%;
    height: 100%;
	/*border: 5px solid white;
    border-radius: 10px;
	box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.15), 0 0px 12px 0 rgba(0, 0, 0, 0.15), inset 0 0 2px rgba(0, 0, 0, 0.15);
	box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;*/
}

#question
{
    vertical-align: middle;
	font-size: 25px;
	font-weight: bold;
	color: white;
    padding: 20x;
    padding: 20x;
	padding-left: 10px;
	padding-right: 10px;
	box-sizing: border-box;
	position: relative;
	top: 50%;
	transform: translateY(-50%);
	margin-top: 5px;
}

#random-question-container
{
	position: absolute;
	height: 60px;
	width: 100%;
	display: inline-block;
	margin-top: -30px;
	right: 5px;
	display: none;
	/*z-index: 100;*/
}

#random-question-left-container
{
	position: relative;
	/*width: calc(100%-50px);*/
	/*width: 100px;*/
	height: 100%;
	padding: 0;
	float: left;
}

#random-question-button-container
{
	position: relative;
	width: 60px;
	height: 100%;
	background-color: white;
	float: right;
	border-radius: 30px;
	margin-top: -30px;
	box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.15), 0 3px 15px 0 rgba(0, 0, 0, 0.15);
	vertical-align: middle;
	text-align: center;
	/*margin: auto;*/
}

#answer-textfield-container
{
	margin-left: 10px;
	margin-right: 10px;
	background-color: rgb(10, 10, 10);
	height: 52px;
	border-radius: 10px;
}

#answer-container
{
	margin-left: 20px;
	margin-right: 20px;
}

#bottom-container
{
	position: relative;
    height: 150px;
    width: 100%;
    padding: 0;
    text-align: center;
    vertical-align: bottom;
}

#bottom-bottom-container
{
	position: relative;
    height: 30%;
    width: 100%;
    padding: 0;
}

.smiley
{
	position: absolute;
	left: 0; 
	right: 0; 
	margin-left: auto; 
	margin-right: auto; 
	width: 100px;
	top: -60px;
	font-size: 60px;
	vertical-align: middle;
	line-height: 2;
}

#send
{
	width: 100%;
    height: 60px;
	margin-top: 15px;
    background-color: black;
    color: white;
    font-size: 20px;
    border-radius: 15px;
	font-weight: bold;
    border: 0;
	display: none;
	-webkit-appearance: none;
	box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.15), 0 3px 15px 0 rgba(0, 0, 0, 0.15);
}

#rating-container
{
	position: relative;
    height: 130px;
    margin-top: 10px;
    width: 100%;
    padding: 0;
    /*background-color: red;*/
    text-align: center;
    /*vertical-align: bottom;*/
}

#ratingButton
{
	width: 15%;
    height: 40%;
	margin-top: 5px;
	margin-bottom: 5px;
	margin-left: 2px;
	margin-right: 2px;
    background-color: white;
    color: black;
    font-size: 20px;
    border-radius: 15px;
	font-weight: bold;
    border: 0;
	display: inline-block;
	text-align: center;
	/*-webkit-appearance: none;*/
	/*box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.15), 0 3px 15px 0 rgba(0, 0, 0, 0.15);*/
}

#random-button
{
	/*float: middle;*/
	width: 100%;
	height: 100%;
	border: 0;
	background-color: transparent;
	font-size: 30px;
	-webkit-appearance: none;
	outline: none;
	box-shadow: none;
	margin: auto;
	text-align: center;
	display: flex;
	border-radius: 30px;
    justify-content: center;
    touch-action: manipulation;
}

#app-icon
{
	width: 200px;
	height: 200px;
    border-radius: 10px;
	margin-top: 80px;
}

#download-app-description-container
{	
	height:30%;
	width: 85%;
	display: inline-block;
}

#download-app-description-emoji
{	
	float: left;
	height:100%;
	width: 15%;
    font-size: 30px;	
	font-weight: bold;
	text-align: center;
}

#download-app-description
{	
	float: left;
	height:100%;
	width: 70%;
    font-size: 15px;	
	font-weight: bold;
	text-align: center;
}

@keyframes example {
	0% {transform: scale(0.9)}
	50% {transform: scale(1)}
	100% {transform: scale(0.9)}
}

#download-app-button-container
{
	display: block;
    height: 40%;
    animation-name: example;
    animation-duration: 1s;
    animation-iteration-count: 100;
}

#download-app-button
{
    height: 100%;
    width: 90%;
	margin: 0;
    background-color: black;
    color: white;
    font-size: 16px;
	font-weight: bold;
    border-radius: 15px;
    border: 0;
	-webkit-appearance: none;
	box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.15), 0 3px 15px 0 rgba(0, 0, 0, 0.15);
}

#app-description
{	
	margin-top: 100px;
	margin-left: 30px;
	margin-right: 30px;
    font-size: 25px;	
	font-weight: bold;
	text-align: center;
}

#app-download
{
	width: 80%;
    height: 70px;
	margin-top: 20px;
	margin-left: 10%;
    background-color: black;
    color: white;
    font-size: 20px;	
	font-weight: bold;
    border-radius: 15px;
    border: 0;
	-webkit-appearance: none;
}

.center
{
	text-align: center;
}

.hidden
{
	display: none;
}